## GDataGenerator

GDataGenerator — Atom generator element

## Stability Level

Stable, unless otherwise indicated

## Functions

const gchar * | gdata_generator_get_name ()
const gchar * | gdata_generator_get_uri ()
const gchar * | gdata_generator_get_version ()

## Properties

char * | name | Read
char * | uri | Read
char * | version | Read

## Types and Values

| GDataGenerator
| GDataGeneratorClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataGenerator

## Implemented Interfaces

GDataGenerator implements GDataComparable.

## Includes

    #include <gdata/atom/gdata-generator.h>

## Description

GDataGenerator represents a "generator" element from the

Atom specification.

## Functions

### gdata_generator_get_name ()

    const gchar *
    gdata_generator_get_name (GDataGenerator *self);

Gets the “name” property. The name will be `NULL` or non-empty.

#### Parameters

self | a GDataGenerator |

#### Returns

the generator's name.

[nullable]

Since: 0.4.0

### gdata_generator_get_uri ()

    const gchar *
    gdata_generator_get_uri (GDataGenerator *self);

Gets the “uri” property. The URI will be `NULL` or non-empty.

#### Parameters

self | a GDataGenerator |

#### Returns

the generator's URI, or `NULL`.

[nullable]

Since: 0.4.0

### gdata_generator_get_version ()

    const gchar *
    gdata_generator_get_version (GDataGenerator *self);

Gets the “version” property.

#### Parameters

self | a GDataGenerator |

#### Returns

the generator's version, or `NULL`

Since: 0.4.0

## Types and Values

### GDataGenerator

    typedef struct _GDataGenerator GDataGenerator;

All the fields in the GDataGenerator structure are private and should never be accessed directly.

### GDataGeneratorClass

    typedef struct {
    } GDataGeneratorClass;

All the fields in the GDataGeneratorClass structure are private and should never be accessed directly.

Since: 0.4.0

## Property Details

### The `“name”` property

      “name”                     char *

A human-readable name for the generating agent.

For more information, see the

Atom specification.

Owner: GDataGenerator

Flags: Read

Default value: NULL

Since: 0.4.0

### The `“uri”` property

      “uri”                      char *

An IRI reference that is relevant to the agent.

For more information, see the

Atom specification.

Owner: GDataGenerator

Flags: Read

Default value: NULL

Since: 0.4.0

### The `“version”` property

      “version”                  char *

Indicates the version of the generating agent.

For more information, see the

Atom specification.

Owner: GDataGenerator

Flags: Read

Default value: NULL

Since: 0.4.0